
CoCoALib - Design #849

Cleanup MinPoly code

22 Mar 2016 17:10 - Anna Maria Bigatti

Status: In Progress Start date: 22 Mar 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 3.30 hours

Description

Implement syntax MinPolyXX(f, x)  with f in R/I

(instead of current MinPolyXX(f, I, x))

Related issues:

Related to CoCoALib - Feature #900: New function: MinPoly of RingElem in quot... Closed 27 Jun 2016

Related to CoCoALib - Bug #1248: MinPolyQuot: guaranteed and ideal without GB... Closed 01 Mar 2019

Related to CoCoALib - Feature #1103: Pseudo-zero-dim ideals In Progress 19 Sep 2017

History

#1 - 23 Mar 2016 17:39 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99550 spring 2017

#2 - 20 Jun 2016 14:54 - Anna Maria Bigatti

The current functions should be renamed MinPolyXXQuot(f, I, z)

#3 - 20 Jun 2016 15:01 - Anna Maria Bigatti

The function MinPoly (and MinPolyQuot) should be straight calls to MinPolyDef/MinPolyDefQuot

#4 - 16 Sep 2016 16:19 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#5 - 06 Nov 2017 14:05 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#6 - 06 Nov 2017 14:12 - John Abbott

- Related to Feature #900: New function: MinPoly of RingElem in quotient ring added

#7 - 30 Jul 2018 16:14 - Anna Maria Bigatti

- Tracker changed from Feature to Design

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#8 - 01 Oct 2019 12:16 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#9 - 01 Oct 2019 12:16 - John Abbott

- Related to Bug #1248: MinPolyQuot: guaranteed and ideal without GBasis added

#10 - 25 Jan 2020 15:35 - John Abbott

Better to postpone this?
#11 - 12 Feb 2020 15:35 - Anna Maria Bigatti

After so much time I think "Why bother?".  Mathematically it is nice and clean, practically it is next to pointless, and would also be tedious to use.

We made it clean by calling it MinPolyQuot.  I think the only cleanup we could do is about renaming all internal functions with Quot, but nothing more

than that.

I even made an ISSAC tutorial about it, without missing it at all.

I suggest Reject.

#12 - 12 Feb 2020 16:04 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#13 - 03 Nov 2021 16:57 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#14 - 16 Feb 2024 18:19 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

In 8 years we have never really needed the proposed new API, so we may as well reject this issue (as Anna suggested 4 years ago).

HOWEVER it would be good to do some cleaning inside the file SparsePoltOps-MinpPoly.C as there seems to be some cruft there.

#15 - 16 Feb 2024 18:23 - John Abbott

- Related to Feature #1103: Pseudo-zero-dim ideals added

#16 - 08 Mar 2024 18:15 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
